Skip to content

Set a metafield

View as Markdown
post /rest/api/{ownerResource}/{ownerId}/metafields

Creates a Metafield resource.

Stores a metafield value on the owner record identified by ownerResource and ownerId. Reference the definition the value belongs to and give it a value - it is validated against the definition’s type and validations.

Headers

NameTypeRequiredDescription
X-Flowkiwi-Organization-IdstringrequiredThe organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.
X-Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.
X-Flowkiwi-Locale-Fallbackboolean-Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used.

Path parameters

NameTypeRequiredDescription
ownerResourcestringrequiredThe owner resource type the metafields are scoped to (e.g. "products", "variants"); must match the definition's ownerType.
ownerIdstringrequiredThe id of the owner record the metafields belong to.

Request body

PropertyTypeRequiredDescription
valuestring | nullrequired
definitionMetafieldDefinition.MetafieldDefinitionCreateInputrequiredThe MetafieldDefinition this metafield is an instance of.
Show definition fields
PropertyTypeRequiredDescription
namestring-
descriptionstring | null-
namespacestring-
keystring-
ownerTypestringrequired
typestringrequired
validationsEmbeddedMetafieldDefinitionValidationResource[]-The validation rules applied to the values of metafields using this definition.
Show validations fields
PropertyTypeRequiredDescription
namestringrequiredThe type of validation rule
valuestringrequiredThe validation parameter value. Format depends on the validation type.
constraintsEmbeddedMetafieldDefinitionConstraintResource[]-The constraint rules scoping where this metafield definition applies (e.g. by category or channel).
Show constraints fields
PropertyTypeRequiredDescription
keystringrequiredThe type of constraint rule
valuesstring[]requiredArray of constraint values. Format depends on the constraint type.

Response

201 - Metafield resource created

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
valuestring-This property supports translations.

The data stored in the metafield. Always stored as a string, regardless of the metafield's type.
ownerIdstring | null-The id of the owner record the metafield is attached to.
definitionstring-The MetafieldDefinition this metafield is an instance of.
ownerResourcestringrequiredThe type of resource that the metafield is attached to.
metaobjectstring[]-The referenced metaobject(s). Populated when ?expand=metaobject is requested and the field type is metaobject_reference or list__metaobject_reference.
createdAtstring-The date and time when the resource was created (ISO 8601 format).
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).

Errors

400 - Invalid input

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
titlestring | null-A short, human-readable summary of the problem.
detailstring | null-A human-readable explanation specific to this occurrence of the problem.
statusnumber | null-
instancestring | null-A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.
typestring-A URI reference that identifies the problem type

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.

422 - An error occurred

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
statusinteger-
violationsobject[]-
Show violations fields
PropertyTypeRequiredDescription
propertyPathstringrequiredThe property path of the violation
messagestringrequiredThe message associated with the violation
codestring-The code of the violation
hintstring-An extra hint to understand the violation
payloadobject-The serialized payload of the violation
detailstring-
typestring-
titlestring | null-
instancestring | null-